import { useMemo } from "react";
import { isArr } from "@pisell/utils";
//#region src/components/table/Gallery/components/VirtualGrid/useGapSize.ts
const useGapSize = (gap) => {
	return useMemo(() => {
		if (isArr(gap)) return {
			horizontal: gap[0],
			vertical: gap[1]
		};
		else return {
			horizontal: gap,
			vertical: gap
		};
	}, [gap]);
};
//#endregion
export { useGapSize as default };
